<template>
  <a-card :bordered='false'>
    <div>
      <a-divider><span style='font-size: 18px;font-weight: bold'>{{ stand.name }} </span> {{ stand.ver }}</a-divider>
      <a-tabs type='card' default-active-key='1' @change='callback'>
        <a-tab-pane key='1' tab='技术指标'>
          <div style='text-align: left'>
            <lims-item-target-list :standId='standId'></lims-item-target-list>
          </div>
        </a-tab-pane>
        <a-tab-pane key='2' tab='鉴定指标'>
          <lims-item-target-ident :stand='stand'></lims-item-target-ident>
        </a-tab-pane>

      </a-tabs>
    </div>
  </a-card>
</template>

<script>
import LimsItemTargetList from '@views/limsTest/LimsItemTargetList'
import LimsItemTargetIdent from '@views/limsTest/LimsItemTargetIdent'

import { queryStandById } from '@api/lims'

export default {
  name: 'StandMaintainPage',
  components: { LimsItemTargetIdent, LimsItemTargetList },
  data() {
    return {
      stand: {}
    }
  },
  mounted() {
    this.queryStand()
  },
  methods: {
    callback(key) {

    },
    //查询技术标准
    queryStand() {
      queryStandById({ id: this.standId }).then(res => {
        console.info(res)
        if (res.success) {
          this.stand = res.result
        }
      })

    }
  },
  computed: {
    standId() {
      return this.$route.query.id

    }
  }
}
</script>

<style scoped>

</style>